shr.defineClass("shr.ats.employeeBoardEx", shr.ats.employeeBoard, {
	initalizeDOM: function () {
		shr.ats.employeeBoardEx.superClass.initalizeDOM.call(this);
	},
	/**
	 * 我要请假变更
	 */
	iCanLeaveAction: function () {
		localStorage.removeItem("fromFlag");
		localStorage.setItem("fromFlag", "employeeBoard");
		sessionStorage.removeItem("empolyeeBoardFlag", "empolyeeBoardFlag");
		sessionStorage.setItem("empolyeeBoardFlag", "empolyeeBoardFlag");
		var url = shr.getContextPath() + "/dynamic.do?method=addNew&uipk=com.kingdee.eas.hr.ats.app.CancelLeaveBillForm&serviceId=" + encodeURIComponent(shr.getUrlParams().serviceId)
		var leavebillDialog = $("#operationDialog");
		leavebillDialog.children("iframe").attr('src', url);
		leavebillDialog.dialog({
			autoOpen: true,
			title: "我要请假变更",
			width: 1300,
			minWidth: 950,
			height: 700,
			minHeight: 600,
			modal: true,
			resizable: true,
			position: {
				my: 'center center',
				at: 'center center',
				of: window
			},
			close: function () {
				sessionStorage.removeItem("empolyeeBoardFlag", "empolyeeBoardFlag");
			}
		});
	},
	/**
	 * 我要出差变更
	 */
	iCanTripBillAction: function () {
		localStorage.removeItem("fromFlag");
		localStorage.setItem("fromFlag", "employeeBoard");
		sessionStorage.removeItem("empolyeeBoardFlag", "empolyeeBoardFlag");
		sessionStorage.setItem("empolyeeBoardFlag", "empolyeeBoardFlag");
		var url = shr.getContextPath() + "/dynamic.do?method=addNew&uipk=com.kingdee.eas.hr.ats.app.CanTripBillForm&serviceId=" + encodeURIComponent(shr.getUrlParams().serviceId)
		var leavebillDialog = $("#operationDialog");
		leavebillDialog.children("iframe").attr('src', url);
		leavebillDialog.dialog({
			autoOpen: true,
			title: "我要出差变更",
			width: 1300,
			minWidth: 950,
			height: 700,
			minHeight: 600,
			modal: true,
			resizable: true,
			position: {
				my: 'center center',
				at: 'center center',
				of: window
			},
			close: function () {
				sessionStorage.removeItem("empolyeeBoardFlag", "empolyeeBoardFlag");
			}
		});

	},
	/**
	 * 我要出差
	 */
	iWannaOutForWorkAction: function () {
		localStorage.removeItem("fromFlag");
		localStorage.setItem("fromFlag", "employeeBoard");
		sessionStorage.removeItem("empolyeeBoardFlag", "empolyeeBoardFlag");
		sessionStorage.setItem("empolyeeBoardFlag", "empolyeeBoardFlag");
		var url = shr.getContextPath() + "/dynamic.do?method=addNew&uipk=com.kingdee.eas.hr.ats.app.AtsTripBillBatchNewForPer&serviceId=" + encodeURIComponent(shr.getUrlParams().serviceId);
		var tripBillDialog = $("#operationDialog");
		tripBillDialog.children("iframe").attr('src', url);
		tripBillDialog.dialog({
			title: "我要出差",
			width: 1300,
			minWidth: 950,
			height: 700,
			minHeight: 600,
			modal: true,
			resizable: true,
			position: {
				my: 'center center',
				at: 'center center',
				of: window
			},
			close: function () {
				sessionStorage.removeItem("empolyeeBoardFlag", "empolyeeBoardFlag");
			}
		});
	},
});


